[weasel-commit] Source: gtk=2.16.6-1

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Fri, 08 Jan 2010 14:43:29 -0500

================================
gtk:source=2.16.6-1
cvc rdiff gtk -1 /weasel.rpath.org@wgl:3-devel/2.16.6-1
================================
2.16.6-1 Filip Brcic (brcha@xxxxxxx) Fri Jan  8 14:43:20 2010
    Automatic promote by rBuild.

gtk-update-icon-cache.tagdescription: new
--- /dev/null
+++ gtk-update-icon-cache.tagdescription
@@ -0,0 +5 @@
+file            %(taghandlerdir)s/gtk-update-icon-cache
+implements      files update
+implements      files remove
+include         %(datadir)s/icons/.*
+datasource      stdin

gtk-input-method.tagdescription: new
--- /dev/null
+++ gtk-input-method.tagdescription
@@ -0,0 +4 @@
+file            %(taghandlerdir)s/gtk-input-method
+implements      files update
+implements      files remove
+include         %(libdir)s/gtk-[^/]*/[^/]*/immodules/[^/]*\.so$

gtk-update-icon-cache.taghandler: new
--- /dev/null
+++ gtk-update-icon-cache.taghandler
@@ -0,0 +39 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+case $type in 
+    files)
+       case $action in
+            update|remove)
+                for path in $(cat); do
+                    cut=$(echo "$path" | cut -d'/' -f%(fieldnum)s)
+                    echo $cut
+                done | sort -u | 
+                while read dirname; do
+                    if [ -d "%(datadir)s/icons/$dirname" ]; then
+                        gtk-update-icon-cache -f "%(datadir)s/icons/$dirname" 
2> /dev/null
+                    fi
+                done
+                ;;
+             *)
+                echo "ERROR: taghandler $0 invoked for an action ($action) 
that is not handled" 1>&2
+                exit 1
+                ;;
+       esac
+        ;;
+    *)
+        echo "ERROR: taghandler $0 invoked for a type ($type) that is not 
handled" 1>&2
+        exit 1
+        ;;
+esac
+
+exit 0

gtk+-2.16.6.tar.bz2: new
gdk-pixbuf-loader-64.taghandler: new
--- /dev/null
+++ gdk-pixbuf-loader-64.taghandler
@@ -0,0 +42 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+# if the gtk-2.0 directory doesn't exist, create it
+if [ ! -d %(sysconfdir)s/gtk-2.0 ]; then
+    # just in case there is a file in the way, remove it
+    rm -f %(sysconfdir)s/gtk-2.0
+    mkdir %(sysconfdir)s/gtk-2.0
+fi
+
+case $type in 
+    files)
+       case $action in 
+            update|remove|preremove)
+                for qm in %(bindir)s/gdk-pixbuf-query-loaders-*; do
+                    HOST=$(basename $qm)
+                    HOST=${HOST//gdk-pixbuf-query-loaders-/}
+                    $qm > %(sysconfdir)s/gtk-2.0-$HOST/gdk-pixbuf.loaders
+                done
+                ;;
+            *)
+                echo "ERROR: taghandler $0 invoked for an action ($action) 
that is not handled" 1>&2
+                exit 1
+                ;;
+       esac
+        ;;
+    *)
+        echo "ERROR: taghandler $0 invoked for a type ($type) that is not 
handled" 1>&2
+        exit 1
+        ;;
+esac
+
+exit 0

gtk-input-method-64.taghandler: new
--- /dev/null
+++ gtk-input-method-64.taghandler
@@ -0,0 +42 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+# if the gtk-2.0 directory doesn't exist, create it
+if [ ! -d %(sysconfdir)s/gtk-2.0 ]; then
+    # just in case there is a file in the way, remove it
+    rm -f %(sysconfdir)s/gtk-2.0
+    mkdir %(sysconfdir)s/gtk-2.0
+fi
+
+case $type in 
+    files)
+       case $action in 
+            update|remove|preremove)
+                for qm in %(bindir)s/gtk-query-immodules-2.0-*; do
+                    HOST=$(basename $qm)
+                    HOST=${HOST//gtk-query-immodules-2.0-/}
+                    $qm > %(sysconfdir)s/gtk-2.0-$HOST/gtk.immodules
+                done
+                ;;
+             *)
+                echo "ERROR: taghandler $0 invoked for an action ($action) 
that is not handled" 1>&2
+                exit 1
+                ;;
+       esac
+        ;;
+    *)
+        echo "ERROR: taghandler $0 invoked for a type ($type) that is not 
handled" 1>&2
+        exit 1
+        ;;
+esac
+
+exit 0

gdk-pixbuf-loader.tagdescription: new
--- /dev/null
+++ gdk-pixbuf-loader.tagdescription
@@ -0,0 +4 @@
+file            %(taghandlerdir)s/gdk-pixbuf-loader
+implements      files update
+implements      files remove
+include         %(libdir)s/gtk-[^/]*/[^/]*/loaders/[^/]*\.so$

gdk-pixbuf-loader-32.taghandler: new
--- /dev/null
+++ gdk-pixbuf-loader-32.taghandler
@@ -0,0 +38 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+# if the gtk-2.0 directory doesn't exist, create it
+if [ ! -d %(sysconfdir)s/gtk-2.0 ]; then
+    # just in case there is a file in the way, remove it
+    rm -f %(sysconfdir)s/gtk-2.0
+    mkdir %(sysconfdir)s/gtk-2.0
+fi
+
+case $type in 
+    files)
+       case $action in 
+            update|remove|preremove)
+                gdk-pixbuf-query-loaders > 
%(sysconfdir)s/gtk-2.0/gdk-pixbuf.loaders
+                ;;
+            *)
+                echo "ERROR: taghandler $0 invoked for an action ($action) 
that is not handled" 1>&2
+                exit 1
+                ;;
+       esac
+        ;;
+    *)
+        echo "ERROR: taghandler $0 invoked for a type ($type) that is not 
handled" 1>&2
+        exit 1
+        ;;
+esac
+
+exit 0

gtk.recipe: new
--- /dev/null
+++ gtk.recipe
@@ -0,0 +158 @@
+#
+# Copyright (c) 2004-2007 rPath, Inc.
+# This file is distributed under the terms of the MIT License.
+# A copy is available at http://www.rpath.com/permanent/mit-license.html
+#
+
+loadSuperClass('python')
+class Gtk2(CPackageRecipe, Python.VersionMixIn):
+    name = 'gtk'
+    version = '2.16.6'
+
+    buildRequires = [
+        'atk:devel', 'cairo:devel', 'fontconfig:devel', 'freetype:devel', 
'gettext:runtime',
+        'glib:devel', 'indent:runtime', 'intltool:runtime', 'jasper:devel', 
'libX11:devel',
+        'libXcomposite:devel', 'libXcursor:devel', 'libXdamage:devel', 
'libXext:devel',
+        'libXfixes:devel', 'libXi:devel', 'libXinerama:devel', 
'libXrandr:devel',
+        'libXrender:devel', 'libjpeg:devel', 'libpng:devel', 'libtiff:devel',
+        'pango:devel', 'pkg-config:devel', 'python:devel', 'xextproto:devel',
+        ]
+
+    if Arch.x86_64:
+        buildRequires.extend(['multiarch_wrapper:runtime'])
+
+    def setup(r):
+        r.setDefaultPython()
+        # setup some macros to make the taghandler work properly
+        r.macros.fieldnum = str(len(r.macros.datadir.split('/'))+2)
+
+        r.macros.archive_name = 'gtk+'
+        
r.addArchive('http://ftp.gnome.org/pub/gnome/sources/gtk+/%(major_version)s/')
+
+        # Better support multilib.
+        r.addPatch('gtk+-2.16.6-multilib-1.patch', use=Arch.x86_64)
+
+        r.addSource('gtk-input-method.tagdescription', macros=True,
+                    dest='%(tagdescriptiondir)s/gtk-input-method')
+        r.addSource('gdk-pixbuf-loader.tagdescription', macros=True,
+                    dest='%(tagdescriptiondir)s/gdk-pixbuf-loader')
+        r.addSource('gtk-update-icon-cache.tagdescription', macros=True,
+                    dest='%(tagdescriptiondir)s/gtk-update-icon-cache')
+        r.addSource('gtk-update-icon-cache.taghandler', macros=True,
+                    dest='%(taghandlerdir)s/gtk-update-icon-cache', mode=0755)
+        if Arch.x86_64:
+            r.addSource('gtk-input-method-64.taghandler', macros=True,
+                        dest='%(taghandlerdir)s/gtk-input-method', mode=0755)
+            r.addSource('gdk-pixbuf-loader-64.taghandler', macros=True,
+                        dest='%(taghandlerdir)s/gdk-pixbuf-loader', mode=0755)
+        else:
+            r.addSource('gtk-input-method-32.taghandler', macros=True,
+                        dest='%(taghandlerdir)s/gtk-input-method', mode=0755)
+            r.addSource('gdk-pixbuf-loader-32.taghandler', macros=True,
+                        dest='%(taghandlerdir)s/gdk-pixbuf-loader', mode=0755)
+
+        confArgs = (
+            ' --build=%(host)s'
+            ' --host=%(host)s'
+            ' --disable-gtk-doc'
+            ' --disable-cups' # TODO: reenable once cups is built
+            ' --with-xinput=yes'
+            )
+
+        buildEnvReplaceFiles = [
+            'gdk-pixbuf/gdk-pixbuf-io.c',
+            'gdk-pixbuf/Makefile.am',
+            'gdk-pixbuf/Makefile.in',
+            'modules/input/Makefile.am', 
+            'modules/input/Makefile.in',
+            'gtk/gtkrc.c'
+            ]
+
+        if Arch.x86_64:
+            # First build 32bit version
+            macros32 = r.macros.copy()
+            macros32.cc = '"gcc -m32"'
+            macros32.cxx = '"g++ -m32"'
+            macros32.libdir = '%(prefix)s/lib'
+            macros32.host = '%(target32)s'
+
+            r.Run('cp -a %(builddir)s %(builddir)s/../32bit')
+
+            for f in buildEnvReplaceFiles:
+                r.Replace('BUILDENV', '32',
+                          '../32bit/' + f)
+                r.Replace('BUILDENV', '64', f)
+
+            r.Configure(confArgs, dir='../32bit', overrideMacros=macros32,
+                        preConfigure='USE_ARCH=32')
+            r.Replace('(SRC_SUBDIRS.*) tests (.*)', r'\1 \2', 
'../32bit/Makefile')
+            r.Make(dir='../32bit', overrideMacros=macros32, 
preMake='USE_ARCH=32')
+            r.MakeInstall('RUN_QUERY_IMMODULES_TEST=false'
+                          ' RUN_QUERY_LOADER_TEST=false',
+                          dir='../32bit', overrideMacros=macros32, 
preMake='USE_ARCH=32')
+
+            r.Move('%(bindir)s/gdk-pixbuf-query-loaders',
+                   '%(bindir)s/gdk-pixbuf-query-loaders-32')
+            r.Move('%(bindir)s/gtk-query-immodules-2.0',
+                   '%(bindir)s/gtk-query-immodules-2.0-32')
+
+            # zero-length config files
+            r.Create('%(sysconfdir)s/gtk-2.0-32/gdk-pixbuf.loaders')
+            r.Create('%(sysconfdir)s/gtk-2.0-32/gtk.immodules')
+
+            r.NormalizePkgConfig(exceptions='.*')
+
+        r.Configure(confArgs)
+
+        r.Replace('(SRC_SUBDIRS.*) tests (.*)', r'\1 \2', 'Makefile')
+
+        r.Make()
+
+        r.MakeInstall('RUN_QUERY_IMMODULES_TEST=false'
+                      ' RUN_QUERY_LOADER_TEST=false')
+
+        if not Arch.x86_64:
+            r.MakeDirs('%(sysconfdir)s/gtk-2.0')            
+
+        if Arch.x86_64:
+            # separate query modules for multilib installation
+            r.Move('%(bindir)s/gdk-pixbuf-query-loaders',
+                   '%(bindir)s/gdk-pixbuf-query-loaders-64')
+            r.Move('%(bindir)s/gtk-query-immodules-2.0',
+                   '%(bindir)s/gtk-query-immodules-2.0-64')
+            r.Symlink('%(bindir)s/multiarch_wrapper',
+                      '%(bindir)s/gdk-pixbuf-query-loaders')
+            r.Symlink('%(bindir)s/multiarch_wrapper',
+                      '%(bindir)s/gtk-query-immodules-2.0')
+            
r.DanglingSymlinks(exceptions='%(bindir)s/gdk-pixbuf-query-loaders')
+            r.DanglingSymlinks(exceptions='%(bindir)s/gtk-query-immodules-2.0')
+
+            r.Remove('%(sysconfdir)s/gtk-2.0/gdk-pixbuf.loaders')
+            r.Remove('%(sysconfdir)s/gtk-2.0/gtk.immodules')
+
+            # zero-length config files
+            r.Create('%(sysconfdir)s/gtk-2.0-64/gdk-pixbuf.loaders')
+            r.Create('%(sysconfdir)s/gtk-2.0-64/gtk.immodules')
+
+        # move non multilib files back to :config
+        r.ComponentSpec('config', '%(sysconfdir)s/gtk-2.0/im-multipress.conf')
+
+        # :runtime can be installed only once, :lib has multilib, so
+        # move de-collided paths into :lib where they belong
+        r.ComponentSpec('lib',
+            '%(bindir)s/.*query.*',
+            '%(sysconfdir)s/gtk-.*/.*')
+
+        r.Doc('docs/tutorial', 'docs/faq', 'examples')
+        r.ComponentSpec('devel', '%(bindir)s/gdk-pixbuf-csource')
+        r.ComponentSpec('doc', '%(datadir)s/gtk-.*/demo/')
+        # this is arch-dependent and needed for multilib
+        r.ComponentSpec('lib', 
'%(sysconfdir)s/gtk-2.0/%(target)s/gdk-pixbuf.loaders')
+
+        # modules require tag handlers being run in order to be loaded
+        r.Requires('gtk:runtime',
+                   r'%(libdir)s/gtk-[^/]*/[^/]*/(loaders|immodules)/[^/]*\.so')
+
+        for x in ('%(essentialbindir)s/cat',
+                  '%(essentialbindir)s/sort', '/dev/null'):
+            r.Requires(x, '%(taghandlerdir)s/gtk-update-icon-cache')

gtk-input-method.taghandler: new
--- /dev/null
+++ gtk-input-method.taghandler
@@ -0,0 +42 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+# if the gtk-2.0 directory doesn't exist, create it
+if [ ! -d %(sysconfdir)s/gtk-2.0 ]; then
+    # just in case there is a file in the way, remove it
+    rm -f %(sysconfdir)s/gtk-2.0
+    mkdir %(sysconfdir)s/gtk-2.0
+fi
+
+case $type in 
+    files)
+       case $action in 
+            update|remove|preremove)
+                for qm in %(bindir)s/gtk-query-immodules-2.0-*; do
+                    HOST=$(basename $qm)
+                    HOST=${HOST//gtk-query-immodules-2.0-/}
+                    $qm > %(sysconfdir)s/gtk-2.0/$HOST/gtk.immodules
+                done
+                ;;
+             *)
+                echo "ERROR: taghandler $0 invoked for an action ($action) 
that is not handled" 1>&2
+                exit 1
+                ;;
+       esac
+        ;;
+    *)
+        echo "ERROR: taghandler $0 invoked for a type ($type) that is not 
handled" 1>&2
+        exit 1
+        ;;
+esac
+
+exit 0

gtk+-2.16.6-multilib-1.patch: new
--- /dev/null
+++ gtk+-2.16.6-multilib-1.patch
@@ -0,0 +142 @@
+Submitted By: Joe Ciccone
+Date: 2007-05-29
+Initial Package Version: 2.10.3
+Upstream Status: None
+Origin: Joe Ciccone
+Description: Fixes multilib configuration issues where the config file has
+             the path of libs in it. Usage:
+
+sed -i "s/BUILDENV/32/" gdk-pixbuf/gdk-pixbuf-io.c \
+                        gdk-pixbuf/Makefile.am \
+                        gdk-pixbuf/Makefile.in \
+                        gtk/gtkrc.c \
+                        modules/input/Makefile.am \
+                        modules/input/Makefile.in
+
+              Rediffed against 2.14.2 By Joe Ciccone on 2008-09-20
+              Rediffed against 2.16.6 By Joe Ciccone on 2009-09-07
+
+diff -Naur gtk+-2.16.6.orig/gdk-pixbuf/gdk-pixbuf-io.c 
gtk+-2.16.6/gdk-pixbuf/gdk-pixbuf-io.c
+--- gtk+-2.16.6.orig/gdk-pixbuf/gdk-pixbuf-io.c        2009-08-28 
22:07:53.000000000 -0400
++++ gtk+-2.16.6/gdk-pixbuf/gdk-pixbuf-io.c     2009-09-07 05:04:44.011253440 
-0400
+@@ -298,7 +298,7 @@
+   gchar *result = g_strdup (g_getenv ("GDK_PIXBUF_MODULE_FILE"));
+ 
+   if (!result)
+-        result = g_build_filename (GTK_SYSCONFDIR, "gtk-2.0", 
"gdk-pixbuf.loaders", NULL);
++        result = g_build_filename (GTK_SYSCONFDIR, "gtk-2.0-BUILDENV", 
"gdk-pixbuf.loaders", NULL);
+ 
+   return result;
+ }
+diff -Naur gtk+-2.16.6.orig/gdk-pixbuf/Makefile.am 
gtk+-2.16.6/gdk-pixbuf/Makefile.am
+--- gtk+-2.16.6.orig/gdk-pixbuf/Makefile.am    2009-08-28 22:07:53.000000000 
-0400
++++ gtk+-2.16.6/gdk-pixbuf/Makefile.am 2009-09-07 05:04:44.051716510 -0400
+@@ -684,8 +684,8 @@
+ # after the libraries are installed in their final locations.
+ install-data-hook: install-ms-lib install-def-file
+       @if $(RUN_QUERY_LOADER_TEST) ; then \
+-        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        $(top_builddir)/gdk-pixbuf/gdk-pixbuf-query-loaders > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders ; \
++        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        $(top_builddir)/gdk-pixbuf/gdk-pixbuf-query-loaders > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gdk-pixbuf.loaders ; \
+       else \
+         echo "***" ; \
+         echo "*** Warning: gdk-pixbuf.loaders not built" ; \
+@@ -696,7 +696,7 @@
+       fi
+ 
+ uninstall-local: uninstall-ms-lib uninstall-def-file
+-      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders
++      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gdk-pixbuf.loaders
+ 
+ if CROSS_COMPILING
+ else
+diff -Naur gtk+-2.16.6.orig/gdk-pixbuf/Makefile.in 
gtk+-2.16.6/gdk-pixbuf/Makefile.in
+--- gtk+-2.16.6.orig/gdk-pixbuf/Makefile.in    2009-08-28 23:43:07.000000000 
-0400
++++ gtk+-2.16.6/gdk-pixbuf/Makefile.in 2009-09-07 05:04:44.076251861 -0400
+@@ -2245,8 +2245,8 @@
+ # after the libraries are installed in their final locations.
+ install-data-hook: install-ms-lib install-def-file
+       @if $(RUN_QUERY_LOADER_TEST) ; then \
+-        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        $(top_builddir)/gdk-pixbuf/gdk-pixbuf-query-loaders > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders ; \
++        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        $(top_builddir)/gdk-pixbuf/gdk-pixbuf-query-loaders > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gdk-pixbuf.loaders ; \
+       else \
+         echo "***" ; \
+         echo "*** Warning: gdk-pixbuf.loaders not built" ; \
+@@ -2257,7 +2257,7 @@
+       fi
+ 
+ uninstall-local: uninstall-ms-lib uninstall-def-file
+-      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0/gdk-pixbuf.loaders
++      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gdk-pixbuf.loaders
+ 
+ @CROSS_COMPILING_FALSE@all-local: gdk-pixbuf.loaders
+ 
+diff -Naur gtk+-2.16.6.orig/gtk/gtkrc.c gtk+-2.16.6/gtk/gtkrc.c
+--- gtk+-2.16.6.orig/gtk/gtkrc.c       2009-06-04 15:18:04.000000000 -0400
++++ gtk+-2.16.6/gtk/gtkrc.c    2009-09-07 05:04:44.125785476 -0400
+@@ -450,7 +450,7 @@
+       if (im_module_file)
+       result = g_strdup (im_module_file);
+       else
+-      result = g_build_filename (GTK_SYSCONFDIR, "gtk-2.0", "gtk.immodules", 
NULL);
++      result = g_build_filename (GTK_SYSCONFDIR, "gtk-2.0-BUILDENV", 
"gtk.immodules", NULL);
+     }
+ 
+   return result;
+diff -Naur gtk+-2.16.6.orig/modules/input/Makefile.am 
gtk+-2.16.6/modules/input/Makefile.am
+--- gtk+-2.16.6.orig/modules/input/Makefile.am 2009-08-28 22:07:54.000000000 
-0400
++++ gtk+-2.16.6/modules/input/Makefile.am      2009-09-07 05:04:44.174524925 
-0400
+@@ -189,10 +189,10 @@
+ # after the libraries are installed in their final locations.
+ install-data-hook:
+       @if $(RUN_QUERY_IMMODULES_TEST) ; then \
+-        echo $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        echo "$(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules" ; \
+-        $(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules ; \
++        echo $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        echo "$(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules" ; \
++        $(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules ; \
+       else \
+         echo "***" ; \
+         echo "*** Warning: gtk.immodules not built" ; \
+@@ -203,7 +203,7 @@
+         fi
+ 
+ uninstall-local:
+-      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules
++      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules
+ 
+ if BUILD_DYNAMIC_MODULES
+ 
+diff -Naur gtk+-2.16.6.orig/modules/input/Makefile.in 
gtk+-2.16.6/modules/input/Makefile.in
+--- gtk+-2.16.6.orig/modules/input/Makefile.in 2009-08-28 23:43:10.000000000 
-0400
++++ gtk+-2.16.6/modules/input/Makefile.in      2009-09-07 05:04:44.207022406 
-0400
+@@ -1340,10 +1340,10 @@
+ # after the libraries are installed in their final locations.
+ install-data-hook:
+       @if $(RUN_QUERY_IMMODULES_TEST) ; then \
+-        echo $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
+-        echo "$(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules" ; \
+-        $(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules ; \
++        echo $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV ; \
++        echo "$(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules" ; \
++        $(top_builddir)/gtk/gtk-query-immodules-2.0 > 
$(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules ; \
+       else \
+         echo "***" ; \
+         echo "*** Warning: gtk.immodules not built" ; \
+@@ -1354,7 +1354,7 @@
+         fi
+ 
+ uninstall-local:
+-      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules
++      rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0-BUILDENV/gtk.immodules
+ 
+ included-modules: $(noinst_LTLIBRARIES)
+ 


Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: gtk=2.16.6-1 - rbuilder